Summary: Mirror directories from ftp servers
Name: fmirror
Version: 0.8.2
Release: 2
# Release 2 added PGP 2.6.2 signature to the package.
Copyright: GNU GPL Version 2 or any later version.
Source0: ftp://ftp.guardian.no/pub/free/ftp/fmirror/fmirror-0.8.2.tar.gz
Packager: Garen Erdoisa <scamper@trisk.com>
# Author: Finn Arne Gangstad <finnag@guardian.no>
# See the file "COPYING" for more information.
# Repackaged with permission as an RPM file.
Group: Utilities/Archiving

%description
fmirror is a C program for mirroring a directory from a remote ftp server.
It allows regexp matching for files that are to be included and excluded. 
It uses a combination of timestamp, file size and file permissions to  
decide what files to transfer from the ftp server.

%prep

%setup

%build
make

%install
install -m 755 fmirror /usr/bin/fmirror
strip /usr/bin/fmirror
install -m 644 fmirror.1 /usr/man/man1/fmirror.1
mkdir -p /usr/doc/fmirror-0.8.2/configs
install -m 644 configs/README /usr/doc/fmirror-0.8.2/configs/README
install -m 644 configs/generic.conf /usr/doc/fmirror-0.8.2/configs/generic.conf
install -m 644 configs/redhat.conf /usr/doc/fmirror-0.8.2/configs/redhat.conf
install -m 644 configs/sample.conf /usr/doc/fmirror-0.8.2/configs/sample.conf
install -m 644 COPYING /usr/doc/fmirror-0.8.2/COPYING
install -m 644 changelog /usr/doc/fmirror-0.8.2/changelog

%files
/usr/bin/fmirror
/usr/man/man1/fmirror.1
/usr/doc/fmirror-0.8.2/COPYING
/usr/doc/fmirror-0.8.2/changelog
/usr/doc/fmirror-0.8.2/configs/README
/usr/doc/fmirror-0.8.2/configs/generic.conf
/usr/doc/fmirror-0.8.2/configs/redhat.conf
/usr/doc/fmirror-0.8.2/configs/sample.conf

